## kxmlrpcclient 5.62.0

=== debian/changelog ===
kxmlrpcclient (5.62.0-1) unstable; urgency=medium

  * Update reprotest args variable
  * New upstream release (5.62.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 10:13:15 -0700

kxmlrpcclient (5.61.0-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Build-Depend on qttools5-dev to fix a cross build failure
    (see #915122 for more info) (Closes: 933022).

  [ Maximiliano Curia ]
  * Salsa CI automatic initialization by Tuco
  * New upstream release (5.61.0).
  * Update build-deps and deps with the info from cmake
  * Add missing version to maintscript
  * Ignore reprotest build path variations
  * Release to experimental

  [ Jonathan Riddell ]
  * moved qdebug files

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Sep 2019 21:11:05 +0100

=== debian/control ===
Source: kxmlrpcclient
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.62.0~),
               graphviz,
               libkf5i18n-dev (>= 5.62.0~),
               libkf5kio-dev (>= 5.62.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.4),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kxmlrpcclient
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kxmlrpcclient
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kxmlrpcclient.git

Package: libkf5xmlrpcclient-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: plasma-workspace (<= 4:5.2.2-1)
Replaces: plasma-workspace (<= 4:5.2.2-1)
Description: data files for kxmlrpcclient
 XML RPC client library.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the data files.

Package: libkf5xmlrpcclient-dev
Section: libdevel
Architecture: any
Depends: libkf5kio-dev (>= 5.62.0~),
         libkf5xmlrpcclient5 (= ${binary:Version}),
         qtbase5-dev (>= 5.4),
         ${misc:Depends},
Recommends: libkf5xmlrpcclient-doc (= ${source:Version})
Description: development files for kxmlrpcclient
 XML RPC client library.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files.

Package: libkf5xmlrpcclient-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: framework providing an xml rpc client library (documentation)
 XML RPC client library.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5xmlrpcclient5
Architecture: any
Multi-Arch: same
Depends: libkf5xmlrpcclient-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: framework providing an xml rpc client library
 XML RPC client library.
 .
 This package is part of KDE Frameworks 5.

## kxmlrpcclient 5.68.0

=== debian/changelog ===
kxmlrpcclient (5.68.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.68.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 25 Mar 2020 20:59:57 +0000

kxmlrpcclient (5.67.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2020 09:52:42 +0000

kxmlrpcclient (5.66.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.66.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2020 13:21:32 +0000

kxmlrpcclient (5.65.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.65.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Dec 2019 23:02:34 +0000

kxmlrpcclient (5.64.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.63.0)
  * New upstream release (5.64.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2019 21:26:46 +0000

kxmlrpcclient (5.62.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.62.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 14 Sep 2019 08:09:12 +0100

kxmlrpcclient (5.61.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.61.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Aug 2019 10:44:51 +0100

kxmlrpcclient (5.60.0-0ubuntu1) eoan; urgency=medium

  * Move qdebug categories file to new location.
  * New upstream release (5.60.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 20 Jul 2019 08:18:18 +0100

kxmlrpcclient (5.59.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.59.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 12 Jun 2019 11:21:28 +0100

kxmlrpcclient (5.58.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.58.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 13 May 2019 15:42:39 +0100

kxmlrpcclient (5.57.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.57.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 22 Apr 2019 08:40:11 +0100

=== debian/control ===
--- 
+++ 
@@ -3,22 +3,21 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.5~),
+Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.62.0~),
+               extra-cmake-modules (>= 5.68.0~),
                graphviz,
-               libkf5i18n-dev (>= 5.62.0~),
-               libkf5kio-dev (>= 5.62.0~),
+               libkf5i18n-dev (>= 5.68.0~),
+               libkf5kio-dev (>= 5.68.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.4),
-               qttools5-dev,
+               qtbase5-dev (>= 5.6.1~),
                qttools5-dev-tools (>= 5.4),
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/kxmlrpcclient
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kxmlrpcclient
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kxmlrpcclient.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kxmlrpcclient
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kxmlrpcclient
 
 Package: libkf5xmlrpcclient-data
 Architecture: all
@@ -34,9 +33,9 @@
  This package contains the data files.
 
 Package: libkf5xmlrpcclient-dev
+Architecture: any
 Section: libdevel
-Architecture: any
-Depends: libkf5kio-dev (>= 5.62.0~),
+Depends: libkf5kio-dev (>= 5.68.0~),
          libkf5xmlrpcclient5 (= ${binary:Version}),
          qtbase5-dev (>= 5.4),
          ${misc:Depends},
@@ -51,6 +50,7 @@
 Package: libkf5xmlrpcclient-doc
 Architecture: all
 Multi-Arch: foreign
+Section: doc
 Depends: ${misc:Depends}
 Description: framework providing an xml rpc client library (documentation)
  XML RPC client library.
@@ -58,7 +58,6 @@
  This package is part of KDE Frameworks 5.
  .
  This package contains the qch documentation files.
-Section: doc
 
 Package: libkf5xmlrpcclient5
 Architecture: any

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d.]+)/kxmlrpcclient-([\d.]+)\.tar\.xz

## kxmlrpcclient 5.74.0

=== debian/changelog ===
kxmlrpcclient (5.74.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.74.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Sep 2020 11:01:19 +0100

kxmlrpcclient (5.73.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.73.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Aug 2020 11:00:40 +0100

kxmlrpcclient (5.72.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.72.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Jul 2020 20:35:15 +0100

kxmlrpcclient (5.71.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.71.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Jun 2020 12:08:46 +0100

kxmlrpcclient (5.70.0-1ubuntu1) groovy; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - debhelper-compat = 12 for backports.
    - maintscript for -data package.

 -- Rik Mills <rikmills@kde.org>  Fri, 05 Jun 2020 09:10:28 +0100

kxmlrpcclient (5.70.0-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 13.
  * New upstream release (5.70.0).
  * Update build-deps and deps with the info from cmake.
  * Wrap long lines in changelog entries: 5.22.0-1.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:58:12 +0200

kxmlrpcclient (5.70.0-0ubuntu1) groovy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.69.0)

  [ Rik Mills ]
  * New upstream release (5.70.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2020 12:34:26 +0100

kxmlrpcclient (5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 12.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Get rid of debug-symbol-migration package.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.69.0).
  * Update build-deps and deps with the info from cmake.
  * Add Build-Depends-Package to symbols file.
  * Enable hardening all.
  * Cleanup copyright file.
  * Remove not needed injection of linker flags.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 17:57:01 +0200

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,23 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.0~),
-               debhelper (>= 11~),
+Build-Depends: cmake (>= 3.5~),
+               debhelper-compat (= 12),
                doxygen,
-               extra-cmake-modules (>= 5.68.0~),
+               extra-cmake-modules (>= 5.74.0~),
                graphviz,
-               libkf5i18n-dev (>= 5.68.0~),
-               libkf5kio-dev (>= 5.68.0~),
+               libkf5i18n-dev (>= 5.74.0~),
+               libkf5kio-dev (>= 5.74.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.6.1~),
+               qtbase5-dev (>= 5.4),
+               qttools5-dev,
                qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Homepage: https://projects.kde.org/projects/frameworks/kxmlrpcclient
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kxmlrpcclient
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kxmlrpcclient
+Rules-Requires-Root: no
 
 Package: libkf5xmlrpcclient-data
 Architecture: all
@@ -33,9 +35,9 @@
  This package contains the data files.
 
 Package: libkf5xmlrpcclient-dev
+Section: libdevel
 Architecture: any
-Section: libdevel
-Depends: libkf5kio-dev (>= 5.68.0~),
+Depends: libkf5kio-dev (>= 5.74.0~),
          libkf5xmlrpcclient5 (= ${binary:Version}),
          qtbase5-dev (>= 5.4),
          ${misc:Depends},
@@ -50,7 +52,6 @@
 Package: libkf5xmlrpcclient-doc
 Architecture: all
 Multi-Arch: foreign
-Section: doc
 Depends: ${misc:Depends}
 Description: framework providing an xml rpc client library (documentation)
  XML RPC client library.
@@ -58,13 +59,14 @@
  This package is part of KDE Frameworks 5.
  .
  This package contains the qch documentation files.
+Section: doc
 
 Package: libkf5xmlrpcclient5
 Architecture: any
 Multi-Arch: same
 Depends: libkf5xmlrpcclient-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Description: framework providing an xml rpc client library
  XML RPC client library.
  .

## kxmlrpcclient 5.78.0

=== debian/changelog ===
kxmlrpcclient (5.78.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Jan 2021 12:02:26 +0900

kxmlrpcclient (5.78.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.78.0).
  * Update build-deps and deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 10:32:44 +0900

kxmlrpcclient (5.77.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 10:33:37 +0900

kxmlrpcclient (5.77.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (5.77.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Update maintainer to Debian Qt/KDE Maintainers.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 10:03:56 +0900

kxmlrpcclient (5.74.0-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:18:26 +0200

kxmlrpcclient (5.74.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.74.0).
  * kxmlrpcclient moved to portingAids.
  * Update build-deps and deps with the info from cmake.
  * Update Homepage link to point to new invent.kde.org
  * Update repository related entries to metadata file.
  * Update field Source in debian/copyright to invent.kde.org move.
  * Add Bug-* entries to metadata file.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:46:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,25 @@
 Source: kxmlrpcclient
 Section: libs
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Maximiliano Curia <maxy@debian.org>,
+           Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.5~),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.74.0~),
+               extra-cmake-modules (>= 5.78.0~),
                graphviz,
-               libkf5i18n-dev (>= 5.74.0~),
-               libkf5kio-dev (>= 5.74.0~),
+               libkf5i18n-dev (>= 5.78.0~),
+               libkf5kio-dev (>= 5.78.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.4),
                qttools5-dev,
-               qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.5.0
-Homepage: https://projects.kde.org/projects/frameworks/kxmlrpcclient
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kxmlrpcclient
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kxmlrpcclient
+               qttools5-dev-tools (>= 5.4)
+Standards-Version: 4.5.1
+Homepage: https://invent.kde.org/frameworks/kxmlrpcclient
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kxmlrpcclient
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kxmlrpcclient.git
 Rules-Requires-Root: no
 
 Package: libkf5xmlrpcclient-data
@@ -37,10 +38,10 @@
 Package: libkf5xmlrpcclient-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5kio-dev (>= 5.74.0~),
+Depends: libkf5kio-dev (>= 5.78.0~),
          libkf5xmlrpcclient5 (= ${binary:Version}),
          qtbase5-dev (>= 5.4),
-         ${misc:Depends},
+         ${misc:Depends}
 Recommends: libkf5xmlrpcclient-doc (= ${source:Version})
 Description: development files for kxmlrpcclient
  XML RPC client library.

## kxmlrpcclient 5.80.0

=== debian/changelog ===
kxmlrpcclient (5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:10:04 +0000

kxmlrpcclient (5.79.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.79.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:24:12 +0000

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,15 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.78.0~),
+               extra-cmake-modules (>= 5.80.0~),
                graphviz,
-               libkf5i18n-dev (>= 5.78.0~),
-               libkf5kio-dev (>= 5.78.0~),
+               libkf5i18n-dev (>= 5.80.0~),
+               libkf5kio-dev (>= 5.80.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.4),
                qttools5-dev,
-               qttools5-dev-tools (>= 5.4)
+               qttools5-dev-tools (>= 5.4),
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/frameworks/kxmlrpcclient
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kxmlrpcclient
@@ -38,10 +38,10 @@
 Package: libkf5xmlrpcclient-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5kio-dev (>= 5.78.0~),
+Depends: libkf5kio-dev (>= 5.80.0~),
          libkf5xmlrpcclient5 (= ${binary:Version}),
          qtbase5-dev (>= 5.4),
-         ${misc:Depends}
+         ${misc:Depends},
 Recommends: libkf5xmlrpcclient-doc (= ${source:Version})
 Description: development files for kxmlrpcclient
  XML RPC client library.

## kxmlrpcclient 5.86.0

=== debian/changelog ===
kxmlrpcclient (5.86.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.86.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Sep 2021 12:50:04 +0100

kxmlrpcclient (5.85.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.85.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Aug 2021 11:29:36 +0100

kxmlrpcclient (5.84.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.84.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 11 Jul 2021 09:02:24 +0100

kxmlrpcclient (5.83.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.83.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jun 2021 12:19:29 +0100

kxmlrpcclient (5.82.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.82.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 08 May 2021 11:59:07 +0100

kxmlrpcclient (5.81.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.81.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Apr 2021 10:31:35 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.80.0~),
+               extra-cmake-modules (>= 5.86.0~),
                graphviz,
-               libkf5i18n-dev (>= 5.80.0~),
-               libkf5kio-dev (>= 5.80.0~),
+               libkf5i18n-dev (>= 5.86.0~),
+               libkf5kio-dev (>= 5.86.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.4),
@@ -38,7 +38,7 @@
 Package: libkf5xmlrpcclient-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5kio-dev (>= 5.80.0~),
+Depends: libkf5kio-dev (>= 5.86.0~),
          libkf5xmlrpcclient5 (= ${binary:Version}),
          qtbase5-dev (>= 5.4),
          ${misc:Depends},

## kxmlrpcclient 5.92.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.92.0") # handled by release scripts
set(KF_DEP_VERSION "5.92.0") # handled by release scripts
project(KXmlRpcClient VERSION ${KF_VERSION})

# ECM setup
include(FeatureSummary)
find_package(ECM 5.92.0 CONFIG )
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)

include(ECMQtDeclareLoggingCategory)
include(ECMAddQch)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

add_definitions(-DTRANSLATION_DOMAIN=\"libkxmlrpcclient5\")
ecm_setup_version(PROJECT VARIABLE_PREFIX KXMLRPCCLIENT
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kxmlrpcclient_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5XmlRpcClientConfigVersion.cmake"
                        SOVERSION 5
)

########### Find packages ###########
find_package(KF5I18n ${KF_DEP_VERSION} CONFIG REQUIRED)
find_package(KF5KIO ${KF_DEP_VERSION} CONFIG REQUIRED)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f02)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055900)
if(BUILD_TESTING)
   add_definitions(-DBUILD_TESTING)
endif(BUILD_TESTING)

########### Targets ###########
ki18n_install(po)
add_subdirectory(src)
if (BUILD_TESTING)
     add_subdirectory(autotests)
endif()

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5XmlRpcClient")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5XmlRpcClient_QCH
        FILE KF5XmlRpcClientQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5XmlRpcClientQchTargets.cmake\")")
endif()

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5XmlRpcClientConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5XmlRpcClientConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5XmlRpcClientConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5XmlRpcClientConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5XmlRpcClientTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5XmlRpcClientTargets.cmake NAMESPACE KF5::)

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/kxmlrpcclient_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KXmlRpcClient
  COMPONENT Devel
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kxmlrpcclient (5.92.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.92.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 16 Mar 2022 16:29:18 +0000

kxmlrpcclient (5.91.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.91.0)
  * Update installed files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 14 Feb 2022 17:10:30 +0000

kxmlrpcclient (5.90.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.90.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 16:49:34 +0000

kxmlrpcclient (5.89.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.89.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 12 Dec 2021 15:18:14 +0000

kxmlrpcclient (5.88.0-1ubuntu1) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 18:12:39 +0000

kxmlrpcclient (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:42 +0900

kxmlrpcclient (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 11:02:33 +0900

kxmlrpcclient (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:49 +0900

kxmlrpcclient (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 00:06:35 +0900

kxmlrpcclient (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:53:11 +0900

kxmlrpcclient (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 09:26:20 +0900

kxmlrpcclient (5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!

 -- Norbert Preining <norbert@preining.info>  Sat, 08 May 2021 21:22:33 +0900

kxmlrpcclient (5.81.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.81.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 12 Apr 2021 10:18:21 +0900

kxmlrpcclient (5.80.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.80.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 15 Mar 2021 15:10:36 +0900

kxmlrpcclient (5.79.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Remove graphviz from build depends.
  * New upstream release (5.79.0).

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Feb 2021 06:45:30 +0900

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,24 @@
 Source: kxmlrpcclient
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>,
-           Norbert Preining <norbert@preining.info>
-Build-Depends: cmake (>= 3.5~),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.86.0~),
-               graphviz,
-               libkf5i18n-dev (>= 5.86.0~),
-               libkf5kio-dev (>= 5.86.0~),
+               extra-cmake-modules (>= 5.92.0~),
+               libkf5i18n-dev (>= 5.92.0~),
+               libkf5kio-dev (>= 5.92.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.4),
                qttools5-dev,
                qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://invent.kde.org/frameworks/kxmlrpcclient
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kxmlrpcclient
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kxmlrpcclient.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kxmlrpcclient
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kxmlrpcclient
 Rules-Requires-Root: no
 
 Package: libkf5xmlrpcclient-data
@@ -38,7 +37,7 @@
 Package: libkf5xmlrpcclient-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5kio-dev (>= 5.86.0~),
+Depends: libkf5kio-dev (>= 5.92.0~),
          libkf5xmlrpcclient5 (= ${binary:Version}),
          qtbase5-dev (>= 5.4),
          ${misc:Depends},
@@ -67,7 +66,7 @@
 Multi-Arch: same
 Depends: libkf5xmlrpcclient-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: framework providing an xml rpc client library
  XML RPC client library.
  .

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d.]+)/portingAids/kxmlrpcclient-([\d.]+)\.tar\.xz

## kxmlrpcclient 5.98.0

=== debian/changelog ===
kxmlrpcclient (5.98.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.98.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Sep 2022 11:34:13 +0100

kxmlrpcclient (5.97.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.97.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Aug 2022 14:06:35 +0100

kxmlrpcclient (5.96.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.96.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jul 2022 16:32:14 +0100

kxmlrpcclient (5.95.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.95.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jun 2022 09:58:05 +0100

kxmlrpcclient (5.94.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.94.0)
  * Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 May 2022 16:21:48 +0100

kxmlrpcclient (5.93.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.93.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Apr 2022 08:25:12 +0100

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.92.0~),
-               libkf5i18n-dev (>= 5.92.0~),
-               libkf5kio-dev (>= 5.92.0~),
+               extra-cmake-modules (>= 5.98.0~),
+               libkf5i18n-dev (>= 5.98.0~),
+               libkf5kio-dev (>= 5.98.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.4),
@@ -37,7 +37,7 @@
 Package: libkf5xmlrpcclient-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5kio-dev (>= 5.92.0~),
+Depends: libkf5kio-dev (>= 5.98.0~),
          libkf5xmlrpcclient5 (= ${binary:Version}),
          qtbase5-dev (>= 5.4),
          ${misc:Depends},

## kxmlrpcclient 5.100.0

=== debian/changelog ===
kxmlrpcclient (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:06 +0100

kxmlrpcclient (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:13:10 +0200

kxmlrpcclient (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:41 +0200

kxmlrpcclient (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:10 +0200

kxmlrpcclient (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:07 +0200

kxmlrpcclient (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).
  * Update the list of installed files from build logs.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:48 +0200

kxmlrpcclient (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,24 @@
 Source: kxmlrpcclient
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.98.0~),
-               libkf5i18n-dev (>= 5.98.0~),
-               libkf5kio-dev (>= 5.98.0~),
+               extra-cmake-modules (>= 5.100.0~),
+               libkf5i18n-dev (>= 5.100.0~),
+               libkf5kio-dev (>= 5.100.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.4),
+               qtbase5-dev (>= 5.15.2~),
                qttools5-dev,
                qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/frameworks/kxmlrpcclient
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kxmlrpcclient
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kxmlrpcclient
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kxmlrpcclient
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kxmlrpcclient.git
 Rules-Requires-Root: no
 
 Package: libkf5xmlrpcclient-data
@@ -37,9 +37,9 @@
 Package: libkf5xmlrpcclient-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5kio-dev (>= 5.98.0~),
+Depends: libkf5kio-dev (>= 5.100.0~),
          libkf5xmlrpcclient5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.4),
+         qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Recommends: libkf5xmlrpcclient-doc (= ${source:Version})
 Description: development files for kxmlrpcclient

## kxmlrpcclient 5.103.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.92.0") # handled by release scripts
-set(KF_DEP_VERSION "5.92.0") # handled by release scripts
+set(KF_VERSION "5.103.0") # handled by release scripts
+set(KF_DEP_VERSION "5.103.0") # handled by release scripts
 project(KXmlRpcClient VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 5.92.0 CONFIG )
+find_package(ECM 5.103.0 CONFIG )
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -22,7 +22,7 @@
 include(ECMGeneratePriFile)
 include(CMakePackageConfigHelpers)
 include(ECMSetupVersion)
-
+include(ECMDeprecationSettings)
 include(ECMQtDeclareLoggingCategory)
 include(ECMAddQch)
 
@@ -37,13 +37,20 @@
 )
 
 ########### Find packages ###########
+set(REQUIRED_QT_VERSION 5.15.2)
+
+find_package(Qt5 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Xml)
 find_package(KF5I18n ${KF_DEP_VERSION} CONFIG REQUIRED)
 find_package(KF5KIO ${KF_DEP_VERSION} CONFIG REQUIRED)
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f02)
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055900)
 if(BUILD_TESTING)
-   add_definitions(-DBUILD_TESTING)
+    find_package(Qt5 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Test)
+    add_definitions(-DBUILD_TESTING)
 endif(BUILD_TESTING)
+
+ecm_set_disabled_deprecation_versions(
+    QT 5.15.2
+    KF 5.95
+)
 
 ########### Targets ###########
 ki18n_install(po)

=== debian/changelog ===
kxmlrpcclient (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:32 +0100

kxmlrpcclient (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:10 +0100

kxmlrpcclient (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:36 +0100

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,15 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.100.0~),
-               libkf5i18n-dev (>= 5.100.0~),
-               libkf5kio-dev (>= 5.100.0~),
+               extra-cmake-modules (>= 5.103.0~),
+               libkf5i18n-dev (>= 5.103.0~),
+               libkf5kio-dev (>= 5.103.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.15.2~),
                qttools5-dev,
                qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/frameworks/kxmlrpcclient
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kxmlrpcclient
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kxmlrpcclient.git
@@ -24,9 +24,9 @@
 Package: libkf5xmlrpcclient-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: plasma-workspace (<= 4:5.2.2-1)
-Replaces: plasma-workspace (<= 4:5.2.2-1)
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Breaks: plasma-workspace (<= 4:5.2.2-1),
+Replaces: plasma-workspace (<= 4:5.2.2-1),
 Description: data files for kxmlrpcclient
  XML RPC client library.
  .
@@ -37,11 +37,11 @@
 Package: libkf5xmlrpcclient-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5kio-dev (>= 5.100.0~),
+Depends: libkf5kio-dev (>= 5.103.0~),
          libkf5xmlrpcclient5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
-Recommends: libkf5xmlrpcclient-doc (= ${source:Version})
+Recommends: libkf5xmlrpcclient-doc (= ${source:Version}),
 Description: development files for kxmlrpcclient
  XML RPC client library.
  .
@@ -52,7 +52,7 @@
 Package: libkf5xmlrpcclient-doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: framework providing an xml rpc client library (documentation)
  XML RPC client library.
  .

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

## kxmlrpcclient 5.104.0

=== debian/changelog ===
kxmlrpcclient (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:10:03 +0100

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.103.0~),
-               libkf5i18n-dev (>= 5.103.0~),
-               libkf5kio-dev (>= 5.103.0~),
+               extra-cmake-modules (>= 5.104.0~),
+               libkf5i18n-dev (>= 5.104.0~),
+               libkf5kio-dev (>= 5.104.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.15.2~),
@@ -37,7 +37,7 @@
 Package: libkf5xmlrpcclient-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5kio-dev (>= 5.103.0~),
+Depends: libkf5kio-dev (>= 5.104.0~),
          libkf5xmlrpcclient5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},

## kxmlrpcclient 5.109.0

=== debian/changelog ===
kxmlrpcclient (5.109.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.109.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Aug 2023 05:51:38 +0100

kxmlrpcclient (5.108.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.108.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Jul 2023 12:23:10 +0100

kxmlrpcclient (5.107.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.107.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 21:07:47 +0100

kxmlrpcclient (5.106.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.106.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 May 2023 16:49:12 +0100

kxmlrpcclient (5.104.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.104.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Mar 2023 13:18:55 +0000

kxmlrpcclient (5.103.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.103.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 15 Feb 2023 13:45:41 +0000

kxmlrpcclient (5.102.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.102.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 05 Feb 2023 15:59:10 +0000

kxmlrpcclient (5.101.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.101.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Dec 2022 13:22:53 +0000

kxmlrpcclient (5.100.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.100.0)
  * Update build-deps and deps with the info from cmake.

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Nov 2022 17:17:08 +0000

kxmlrpcclient (5.99.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.99.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Oct 2022 11:01:25 +0000

=== debian/control ===
Source: kxmlrpcclient
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.109.0~),
               libkf5i18n-dev (>= 5.109.0~),
               libkf5kio-dev (>= 5.109.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/kxmlrpcclient
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kxmlrpcclient
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kxmlrpcclient
Rules-Requires-Root: no

Package: libkf5xmlrpcclient-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: plasma-workspace (<= 4:5.2.2-1)
Replaces: plasma-workspace (<= 4:5.2.2-1)
Description: data files for kxmlrpcclient
 XML RPC client library.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the data files.

Package: libkf5xmlrpcclient-dev
Section: libdevel
Architecture: any
Depends: libkf5kio-dev (>= 5.109.0~),
         libkf5xmlrpcclient5 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Recommends: libkf5xmlrpcclient-doc (= ${source:Version})
Description: development files for kxmlrpcclient
 XML RPC client library.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files.

Package: libkf5xmlrpcclient-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: framework providing an xml rpc client library (documentation)
 XML RPC client library.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5xmlrpcclient5
Architecture: any
Multi-Arch: same
Depends: libkf5xmlrpcclient-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: framework providing an xml rpc client library
 XML RPC client library.
 .
 This package is part of KDE Frameworks 5.

## kxmlrpcclient 5.110.0

=== debian/changelog ===
kxmlrpcclient (5.110.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.110.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 10 Sep 2023 00:10:46 +0100

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.109.0~),
-               libkf5i18n-dev (>= 5.109.0~),
-               libkf5kio-dev (>= 5.109.0~),
+               extra-cmake-modules (>= 5.110.0~),
+               libkf5i18n-dev (>= 5.110.0~),
+               libkf5kio-dev (>= 5.110.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.15.2~),
@@ -37,7 +37,7 @@
 Package: libkf5xmlrpcclient-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5kio-dev (>= 5.109.0~),
+Depends: libkf5kio-dev (>= 5.110.0~),
          libkf5xmlrpcclient5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},

## kxmlrpcclient 5.113.0

=== debian/changelog ===
kxmlrpcclient (5.113.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.113.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 15 Dec 2023 13:45:55 +0000

kxmlrpcclient (5.112.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.112.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Nov 2023 14:50:52 +0000

kxmlrpcclient (5.111.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.111.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 08 Nov 2023 00:00:34 +0000

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.110.0~),
-               libkf5i18n-dev (>= 5.110.0~),
-               libkf5kio-dev (>= 5.110.0~),
+               extra-cmake-modules (>= 5.113.0~),
+               libkf5i18n-dev (>= 5.113.0~),
+               libkf5kio-dev (>= 5.113.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.15.2~),
@@ -37,7 +37,7 @@
 Package: libkf5xmlrpcclient-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5kio-dev (>= 5.110.0~),
+Depends: libkf5kio-dev (>= 5.113.0~),
          libkf5xmlrpcclient5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
